-- Generic utility functions, because sometimes being lazy is more efficient

import "CoreLibs/graphics"

local geom <const> = playdate.geometry

util = {}

-- creates a unit vector that "points" from point A to point B
function util.unitPointer(a, b)
   return (b - a):normalized()
end

-- create a unit vector that points from x1, y1 to x2, y2
function util.unitPointer(x1, y1, x2, y2)
   local a = geom.point.new(x1, y1)
   local b = geom.point.new(x2, y2)
   return unitPointer(a,b)
end
